ABORT(3)

NAME
abort - cause abnormal program termination

SYNOPSIS
#include <stdlib.h>
void
abort(void);

DESCRIPTION
The abort() function causes abnormal program termination to occur, unless the signal SIGABRT is being caught and the signal handler does not return.

Any open streams are flushed and closed.

RETURN VALUES
The abort() function never returns.

SEE ALSO
sigaction(2), exit(3)

STANDARDS
The abort() function conforms to p1003.1-90.

HISTORY
The abort() function first appeared in AT&T UNIX.